Subject: Re: __cxa_atexit
From: Csaba Raduly <[email-masked]>
To: [email-masked]
Date: Tue, 6 Apr 2010 11:00:50 +0200
List-Id: <cygwin.cygwin.com>

On Sun, Apr 4, 2010 at 9:22 PM, June Kim wrote:
> I'm building CppUTest from http://cpputest.sf.net with cygwin.
>
> make from the CppUTest path results in a huge list of errors with
> ___cxa_atexit reference, for e.g.:
>
...
> I believe it has something to do with cygwin's latest gcc's being
> compiled with "--disable-__cxa_atexit". Would it work on cygwin if I
> compile gcc with --enable-__cxa_atexit option? Any other options?

Just remove --use-cxa-atexit from the CppUTest Makefile :

Running CppUTest_tests
.................!................................
.........................!........................
..................................................
...!!................
OK (171 tests, 167 ran, 599 checks, 4 ignored, 0 filtered out, 15 ms)

-- 
Life is complex, with real and imaginary parts

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple